TechDraw Balloon/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Rysunek techniczny: Dymek")
 
(Updating to match new version of source page)
Line 3: Line 3:
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Link|Dimension Link ]]
|[[TechDraw_Dimension_Link|Dimension Link ]]
|[[TechDraw_Dimension_Horizontal_Extent|Dimension Horizontal Extent]]
|[[TechDraw_Dimension_Landmark|Dimension Landmark]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Link.svg
|IconL=TechDraw_Dimension_Link.svg
|IconR=TechDraw_Dimension_Horizontal_Extent.svg
|IconR=TechDraw_Dimension_Landmark.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}
Line 15: Line 15:
|Workbenches=[[TechDraw_Module|TechDraw]]
|Workbenches=[[TechDraw_Module|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_NewAnnotation|TechDraw New annotation]]
|SeeAlso=[[TechDraw_Annotation|TechDraw Annotation]]
}}
}}


Line 74: Line 74:
rc = page.addView(bal1)
rc = page.addView(bal1)
}}
}}



{{Docnav
{{Docnav
|[[TechDraw_Dimension_Link|Dimension Link ]]
|[[TechDraw_Dimension_Link|Dimension Link ]]
|[[TechDraw_Dimension_Horizontal_Extent|Dimension Horizontal Extent]]
|[[TechDraw_Dimension_Landmark|Dimension Landmark]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Link.svg
|IconL=TechDraw_Dimension_Link.svg
|IconR=TechDraw_Dimension_Horizontal_Extent.svg
|IconR=TechDraw_Dimension_Landmark.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}

Revision as of 14:52, 4 May 2021

TechDraw Balloon

Menu location
TechDraw → Balloon
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Annotation

Description

The Balloon tool can add balloons with leader line in a drawing.

Usage

  1. Select the View to which the Balloon will be attached.
  2. Press the Balloon button.
  3. The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
  4. The balloon bubble may be dragged to the desired position. Use Ctrl+drag to move the bubble and the arrow.
  5. To change the balloon properties either double-clicking onto it in the drawing or double-click on the balloon object in the model tree. This will open the balloon dialog.

Note: The position of the balloon is relative to the View and uses the same scale factor than the View.

Using separators

When using a rectangle shape, separators can be added using "|" in the text. For example "AAA|TEST|111" gives:

Properties

Data

  • DANEText: Text to be displayed.
  • DANESource View: Source View for the balloon.
  • DANEOrigin X: Balloon origin x-position relative to the View.
  • DANEOrigin Y: Balloon origin y-position relative to the View.
  • DANEEnd Type: End symbol for the balloon line. Options: None, Filled Arrow, Open Arrow, Tick, Dot, Open Circle, Fork, Filled Triangle
  • DANEEnd Type Scale: Scale factor for the End Type.
  • DANEBubble Shape: Shape of the balloon bubble. Options: Circular, None, Triangle, Inspection, Hexagon, Square, Rectangle
  • DANEShape Scale: Scale factor for the Shape.
  • DANEText Wrap: Text wrap length; -1 means the text will never be wrapped and the result is in every case a single line.
  • DANEKink Length: Distance from the Shape to the leader line kink.
  • DANEX: Horizontal position of the balloon bubble relative to the View.
  • DANEY: Vertical position of the balloon bubble relative to the View.

View

  • WIDOKColor: Color of the balloon text.
  • WIDOKFont: The name of the font to use for the balloon bubble.
  • WIDOKFontsize: Dimension text size in mm.
  • WIDOKLine Visible: Whether the balloon line is visible.
  • WIDOKLine Width: Balloon line width

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)